use std::ffi::CString;
use std::ffi::c_char;

#[unsafe(no_mangle)]
pub extern "C" fn uwurandom(num: i32) -> *mut c_char {
    return CString::new(mldkyt_uwurandom_rs::Uwurandom::generate(num))
        .unwrap()
        .into_raw();
}

#[unsafe(no_mangle)]
pub extern "C" fn deuwu(ptr: *mut c_char) {
    unsafe {
        drop(CString::from_raw(ptr));
    }
    return;
}
